Уязвимость SSLv3 POODLE

Ваш отзыв

В SSLv3 обнаружена возможность Padding Oracle атаки, которая позволяет злоумышленнику, имеющему какую-либо возможность отправлять свои данные на сервер по SSLv3 от имени жертвы, расшифровывать по 1 байту за запрос. Происходит это из-за того, что в SSLv3 padding не учитывается в MAC.

Теоретически, реализовать атаку можно на любой сервис, где есть возможность влиять на отправляемые данные со стороны атакуемого. Проще всего это реализовать, например, если злоумышленнику необходимо получить Cookie на HTTPS-странице, добавляя свой код на HTTP-страницы, который делает подконтрольные запросы на HTTPS-страницы, и подменяя шифрованные блоки.

Уязвимость не зависит от конкретной реализации. Патчей не будет. Время SSL прошло.

Как защититься?

Отключите SSLv3 как на клиентах, так и на серверах:

В Firefox < 34 нужно установить

about:config → security.tls.version.min=1

(а в >34 SSLv3 отключен)

В Chrome добавьте

--ssl-version-min=tls1

в качестве ключа запуска
В Internet Explorer уберите галочку с «SSLv3» в настройках безопасности.
Для nginx:

ssl_protocols TLSv1 TLSv1.1 TLSv1.2;

Для Apache:

SSLProtocol All -SSLv2 -SSLv3

Для IIS:

https://www.digicert.com/ssl-support/iis-disabling-ssl-v3.htm

poodlebleed.com/ — проверка серверов
www.poodletest.com/ — проверка браузеров
poodlebleed.com/ssl-poodle.pdf — Whitepaper
blog.cloudflare.com/sslv3-support-disabled-by-default-due-to-vulnerability/ — Анонс отключения SSLv3 на Cloudflare по умолчанию
googleonlinesecurity.blogspot.ru/2014/10/this-poodle-bites-exploiting-ssl-30.html — Анонс от Google
security.stackexchange.com/questions/70719/ssl3-poodle-vulnerability — Подробная информация об атаке

Possibly Related Posts:


Рубрика: информационная безопасность, Новости. Вы можете следить за отзывами через RSS 2.0. Вы можете оставить отзыв, или трекбек со своего сайта.

  1. Отзывов нет